FieldTermStack (Lucene 10.5.0 highlighter API)
Description: declaration: package: org.apache.lucene.search.vectorhighlight, class: FieldTermStack

Package org.apache.lucene.search.vectorhighlight

# Class FieldTermStack

java.lang.Object
org.apache.lucene.search.vectorhighlight.FieldTermStack

public class FieldTermStack extends Object
`FieldTermStack` is a stack that keeps query terms in the specified field of the document to be highlighted.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FieldTermStack.TermInfo`
  Single term with its position/offsets in the document and IDF weight.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FieldTermStack(IndexReader reader, int docId, String fieldName, FieldQuery fieldQuery)`
  a constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFieldName()`
  `boolean`
  `isEmpty()`
  to know whether the stack is empty
  `FieldTermStack.TermInfo`
  `pop()`
  `void`
  `push(FieldTermStack.TermInfo termInfo)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FieldTermStack

    public FieldTermStack(IndexReader reader, int docId, String fieldName, FieldQuery fieldQuery) throws IOException
    a constructor.
    Parameters:
      `reader` - IndexReader of the index
      `docId` - document id to be highlighted
      `fieldName` - field of the document to be highlighted
      `fieldQuery` - FieldQuery object
    Throws:
      `IOException` - If there is a low-level I/O error

- ## Method Details

  - ### getFieldName

    public String getFieldName()
    Returns:
      field name

  - ### pop

    public FieldTermStack.TermInfo pop()
    Returns:
      the top TermInfo object of the stack

  - ### push

    public void push(FieldTermStack.TermInfo termInfo)
    Parameters:
      `termInfo` - the TermInfo object to be put on the top of the stack

  - ### isEmpty

    public boolean isEmpty()
    to know whether the stack is empty
    Returns:
      true if the stack is empty, false if not